gnome-online-accounts (3.54.5-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Aug 2025 14:33:53 -0400

gnome-online-accounts (3.54.3-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Jul 2025 10:32:36 +0200

gnome-online-accounts (3.54.3-2) experimental; urgency=medium

  * Disable Microsoft provider (Closes: #1100711)
    - It only handles email but Microsoft 365 handles email,
      calendar, contacts, and files
    - It was removed from GNOME 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Jul 2025 10:20:27 +0200

gnome-online-accounts (3.54.3-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:56:37 -0400

gnome-online-accounts (3.54.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:28:58 -0400

gnome-online-accounts (3.54.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:13:55 -0400

gnome-online-accounts (3.53.2-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 13:10:41 -0500

gnome-online-accounts (3.53.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Feb 2025 09:22:43 -0500

gnome-online-accounts (3.53.0-1) unstable; urgency=medium

  * New upstream release
    - Support changing Account Name (which is shown in the
      file browser sidebar)
    - Lower authentication error timeout from 120 seconds to 30 seconds
  * debian/libgoa-backend-1.0-2.symbols: Add new symbol
  * Add Recommends: evolution-ews-core
    (except on Ubuntu since it's in universe currently) (Closes: #969955)
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 09:19:07 -0500

gnome-online-accounts (3.52.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 10:54:29 -0500

gnome-online-accounts (3.52.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Release to unstable

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 16:30:24 +0200

gnome-online-accounts (3.51.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 15:07:01 -0400

gnome-online-accounts (3.51.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and GTK4
  * Add Build-Depends: docbook-xsl & xsltproc to build manpages
  * Add Build-Depends: gi-docgen to build docs
  * Add Build-Depends: libkeyutils-dev
  * Add Provides: ${gir:Provides} to -dev package
  * debian/libgoa-backend-1.0-2.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 17:04:13 -0400

gnome-online-accounts (3.50.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 15:46:07 -0400

gnome-online-accounts (3.50.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 13:10:33 -0400

gnome-online-accounts (3.50.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable OneDrive support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 16:42:26 +0200

gnome-online-accounts (3.50.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Add new symbols
  * Drop ancient Conflicts/Replaces
  * Drop all patches: applied in new release
  * Drop Ubuntu i386 handling: gnome-online-accounts no longer needs to be
    built there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 17:11:24 -0400

gnome-online-accounts (3.50.0-4) unstable; urgency=medium

  * Update Recommends to gnome-control-center | gnome-online-accounts-gtk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 13:34:08 -0400

gnome-online-accounts (3.50.0-3) unstable; urgency=medium

  * Release to Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 09:29:38 -0400

gnome-online-accounts (3.50.0-2) experimental; urgency=medium

  * Cherry-pick 2 patches to fix Microsoft authentication

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 17:23:52 -0400

gnome-online-accounts (3.50.0-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete alternate Recommends: budgie-control-center,
    unity-control-center (Closes: #1006398)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 11:44:14 -0400

gnome-online-accounts (3.49.4-1) experimental; urgency=medium

  * New upstream release
  * Update libgoa-backend-1.0-dev dependencies to match pkgconfig file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 14:54:20 -0500

gnome-online-accounts (3.49.3-1) experimental; urgency=medium

  * New upstream release
  * Rename libgoa backend library package name to match new soname bump.
    The soname bump makes it more clear that everything using the backend
    library needs to stop using the library or adjust to the 3.49 changes.
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 17:13:39 -0500

gnome-online-accounts (3.49.2-1) experimental; urgency=medium

  * New upstream release
    - This is a major API break known to break the Online Accounts
      feature in cinnamon-control-center and unity-control-center.
      budgie-control-center has removed its Online Accounts feature
      because of this.
  * Switch to gtk4 and libadwaita
  * Don't enable msgraph (OneDrive) since it's not in Debian yet
  * Add Build-Depends: libdbus-1-dev
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 16:07:17 -0500

gnome-online-accounts (3.49.0-2) unstable; urgency=medium

  * Drop patch reverting switch to gcr4
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 22:19:18 -0500

gnome-online-accounts (3.49.0-1) unstable; urgency=medium

  * New upstream release
    - Drop Last.fm provider
    - Add WebDav support, allowing adding CalDav integration for the
      GNOME Calendar app without using Evolution
      (Closes: #866794) (LP: #1731628)
    - Authentication for Google & Microsoft now uses the web browser
      instead of a webkitgtk-powered popup window (LP: #1826311, LP: #1827764)
  * debian/gnome-online-accounts.docs: README -> README.md
  * debian/gnome-online-accounts.install: Install new OAuth2 handler
  * debian/libgoa-backend-1.0-1.symbols: Update
  * Add patch to keep using gcr3 for now
  * Drop unused Build-Depends: webkit2gtk
  * Drop references to kfreebsd and use arch:any (Closes: #1058677)
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jan 2024 12:37:10 -0500

gnome-online-accounts (3.48.0-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:26:36 -0400

gnome-online-accounts (3.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 12:17:51 -0400

gnome-online-accounts (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:10:08 -0400

gnome-online-accounts (3.45.2-3) unstable; urgency=medium

  * Add alternate Recommends budgie-control-center & unity-control-center

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 05:57:11 -0400

gnome-online-accounts (3.45.2-2) unstable; urgency=medium

  * debian/control.in: Add some breaks for the libsoup3 transition
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:51:18 -0400

gnome-online-accounts (3.45.2-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Build with webkit2gtk 4.1 and libsoup3
  * debian/libgoa-backend-1.0-1.symbols: Drop symbols
    related to dropped Facebook, Flickr, Foursquare, OAuth 1.0 support

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 15:26:01 -0400

gnome-online-accounts (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 11:32:11 -0400

gnome-online-accounts (3.43.1-1) unstable; urgency=medium

  * New upstream release
    - Last.fm is now enabled by default: used by the GNOME Music app
    - The "Documents" provider has now been dropped as the GNOME
      Documents app is no longer maintained. See Debian bug 1008526
  * debian/libgoa-backend-1.0-1.symbols: Drop private documents symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 09:50:44 -0400

gnome-online-accounts (3.40.1-2) unstable; urgency=medium

  * Reenable the backend on sh4, webkit now builds on that architecture
  * Build libgoa-backend-1.0-dev on m68k too, oups

 -- Laurent Bigonville <bigon@debian.org>  Mon, 01 Nov 2021 01:54:05 +0100

gnome-online-accounts (3.40.1-1) unstable; urgency=medium

  * Reenable the backend on m68k, webkit builds again on that architecture
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Oct 2021 23:58:01 +0100

gnome-online-accounts (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: minor cleanup
  * Release to unstable
    - This enables last.fm support for the GNOME Music app

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 08:17:12 -0400

gnome-online-accounts (3.40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 May 2021 12:30:06 +0200

gnome-online-accounts (3.38.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 16:32:13 +0200

gnome-online-accounts (3.38.1-2) unstable; urgency=medium

  * Disable the backends on all architectures where webkit is not building
  * debian/control.in: Move the -doc packages from BD to BDI.
    And mark libgoa-1.0-doc with Build-Profile: !nodoc
  * debian/copyright: Stop excluding m4 files, these should be updated during
    build

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 May 2021 16:44:24 +0200

gnome-online-accounts (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Mar 2021 11:36:39 +0100

gnome-online-accounts (3.38.0-3) unstable; urgency=medium

  * Split the dep8 tests for libgoa-1.0-dev and libgoa-backend-1.0-dev

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2020 23:25:48 +0100

gnome-online-accounts (3.38.0-2) unstable; urgency=medium

  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/control.in: Adjust the dependencies of the -dev packages
    libgoa-backend-1.0-dev should depend on libgoa-1.0-dev and not the
    other way around. Remove unnecessary dependencies
  * Disable the backends on kfreebsd architectures

 -- Laurent Bigonville <bigon@debian.org>  Thu, 24 Dec 2020 09:51:22 +0100

gnome-online-accounts (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Oct 2020 09:56:56 -0400

gnome-online-accounts (3.37.90-2) unstable; urgency=medium

  * Team upload
  * Add superficial autopkgtests for libgoa-1.0-dev and gir1.2-goa-1.0
  * Release to unstable, to get WebKitGTK sandboxing (introduced upstream
    in 3.37.90) for online account provider login prompts

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 19:11:21 +0100

gnome-online-accounts (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated webkitgtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Aug 2020 17:19:08 +0200

gnome-online-accounts (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 09:40:07 +0100

gnome-online-accounts (3.35.90-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules, debian/gnome-online-accounts.install: Move the daemons to
    /usr/libexec now that this is allowed in the debian policy

  [ Steve Langasek ]
  * debian/rules: Omit the gnome-online-accounts binary package on
    Ubuntu/i386 (Closes: ##947257)

  [ Sebastien Bacher ]
  * New upstream release
  * debian/control.in:
    - Build-Depends on libjavascriptcoregtk-4.0-dev
  * debian/libgoa-backend-1.0-1.symbols,
    debian/rules:
    - the 'pocket' provider has been removed upstream, don't try to build
      with it enabled

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2020 10:07:20 +0100

gnome-online-accounts (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 17:44:53 -0400

gnome-online-accounts (3.34.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Sep 2019 21:22:15 -0400

gnome-online-accounts (3.34.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 16:17:23 +0200

gnome-online-accounts (3.33.91-1) experimental; urgency=medium

  * New upstream release
    - owncloud: Use "Nextcloud", not "ownCloud", in user-visible errors
    - webview: Make it more flexible in terms of its size
    - kerberos: Use GTask's task data slot to leverage the compiler
    - daemon: Return a D-Bus error if AddAccount fails to list all providers
    - kerberos: Use GTask's task data slot to leverage the compiler
    - build: Support the use of g_autolist with GoaObject
    - Port to GTask from GSimpleAsyncResult
  * debian/rules: Disable fedora account system

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 22 Aug 2019 00:55:51 +0200

gnome-online-accounts (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2019 17:03:56 +0200

gnome-online-accounts (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * debian/libgoa-backend-1.0-1.symbols: Update
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop google-Only-request-the-email-filed.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Feb 2019 17:08:02 -0500

gnome-online-accounts (3.30.1-2) unstable; urgency=medium

  * Disable Todoist provider. It was never enabled by default by GNOME
    and has been removed from GNOME 3.32. This means it wouldn't be
    supported for Buster.
  * Cherry-pick google-Only-request-the-email-field.patch:
    - Retrieve only the email address from Google instead of all personally
      identifiable information

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Feb 2019 16:55:02 -0500

gnome-online-accounts (3.30.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Jan 2019 11:09:20 +0100

gnome-online-accounts (3.30.0-2) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:11:35 -0500

gnome-online-accounts (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:40:41 -0400

gnome-online-accounts (3.29.91-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream development release
    - Fixes buildability with GLib 2.57.x
  * Enable documentation so that the man page will be built
  * d/libgoa-backend-1.0-1.symbols: Ignore removal of private symbols
    (not referenced by any other Debian package)
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.2.0

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 16:56:41 +0100

gnome-online-accounts (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Sun, 18 Mar 2018 18:41:25 +1100

gnome-online-accounts (3.27.92-1) unstable; urgency=medium

  * New upstream release candidate
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 14:24:07 -0500

gnome-online-accounts (3.27.3-1) experimental; urgency=medium

  * New upstream development release
  * Drop obsolete Build-Depends on gnome-common & intltool (Closes: #829843)
  * Bump minimum libwebkit2gtk4.0-dev to 2.12.0
  * Build-Depend on autoconf-archive
  * Drop telepathy support. It will be completely removed in 3.29 anyway.
  * Update symbols for removed "private" backend symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Feb 2018 19:52:24 -0500

gnome-online-accounts (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Use dh_missing --fail-missing
  * Don't enable Media Server option and drop dleyna-server recommends.
    It is an experimental untested feature that was only used in GNOME
    Photos and the GNOME Photos maintainer recommended we disable it.
    (LP: #1738448)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Feb 2018 20:29:48 -0500

gnome-online-accounts (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark libgoa-1.0-doc as Multi-Arch: foreign
  * Add all of m4/ (except ax_config_dir.m4) to Files-Excluded so that
    we use the system versions instead
  * debian/libgoa-backend-1.0-1.symbols:
    Drop realmd symbols. The backend library is a "private" API
  * Don't recommend realmd: libkrb is used directly instead now.
  * Don't recommend dleyna-server on Ubuntu since it's in universe.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 11:54:46 -0500

gnome-online-accounts (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 12:53:25 -0400

gnome-online-accounts (3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 06:34:22 -0400

gnome-online-accounts (3.25.92-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Sep 2017 13:43:42 -0400

gnome-online-accounts (3.25.90-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum libglib2.0-dev to 2.52
  * debian/rules: Explicitly enable Todoist and Telepathy
  * Add new symbols and drop 2 apparently unused symbols
    that are part of the "private" API
    - goa_oauth2_provider_get_authentication_cookie
    - goa_oauth_provider_get_authentication_cookie
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 20:14:26 -0400

gnome-online-accounts (3.22.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Mar 2017 07:08:52 +0100

gnome-online-accounts (3.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Jan 2017 23:24:29 +0100

gnome-online-accounts (3.22.3-2) unstable; urgency=medium

  * Add Breaks: evolution-data-server (<< 3.22.3). This ensures we don't taint
    the new Google API key. Older versions of evolution-data-server were
    polling the Google servers very aggressively, hitting the daily limit for
    the CalDAV and Tasks APIs.
  * Tighten dependency between gnome-online-accounts and libgoa-backend-1.0-1.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Dec 2016 18:35:06 +0100

gnome-online-accounts (3.22.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Dec 2016 17:05:53 +0100

gnome-online-accounts (3.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable all hardening build flags.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 15:25:00 +0100

gnome-online-accounts (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 13:32:11 +0200

gnome-online-accounts (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Use non-multiarch path (/usr/lib/gnome-online-accounts) for libexecdir.
  * Update debian/libgoa-backend-1.0-1.symbols.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 22:03:11 +0200

gnome-online-accounts (3.21.91-1) unstable; urgency=medium

  * New upstream beta release.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2016 10:28:15 +0200

gnome-online-accounts (3.21.90-2) unstable; urgency=medium

  * Update Build-Depends:
    - Bump libglib2.0-dev to (>= 2.40).
    - Drop libdbus-glib-1-dev and libnotify-dev.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 02:41:39 +0200

gnome-online-accounts (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/libgoa-backend-1.0-1.symbols
    - several additions and two (unused) missing symbols:
      goa_util_add_account_info@Base 3.10.0
      goa_utils_delete_credentials_sync@Base 3.10.0

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Aug 2016 15:59:48 +0200

gnome-online-accounts (3.20.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file for libgoa-backend-1.0-1.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2016 18:37:33 +0200

gnome-online-accounts (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Pass --as-needed to dh_autoreconf to reduce runtime dependencies.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Jul 2016 14:15:38 +0200

gnome-online-accounts (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.19.12) as per configure.ac.
  * Update debian/libgoa-backend-1.0-1.symbols, add new goa_object_skeleton_*
    symbols.
  * Remove m4/glib-gettext.m4 via debian/clean. Otherwise autoreconf fails
    because the system-wide /usr/share/aclocal/glib-gettext.m4 was updated and
    is now out-of-sync with m4/glib-gettext.m4.
  * Run wrap-and-sort -a.
  * Bump Standards-Versiont to 3.9.8.
  * Install Vala bindings. Add Build-Depends on valac for that.

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Apr 2016 21:04:50 +0200

gnome-online-accounts (3.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Feb 2016 16:12:52 +0100

gnome-online-accounts (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libgoa-backend-1.0-1.symbols for the addition of
    goa_utils_data_input_stream_read_line.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2015 15:24:41 +0100

gnome-online-accounts (3.18.2.1-1) unstable; urgency=medium

  * New upstream release which includes the fix for the missing
    org.gnome.Identity.service.in file.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2015 14:24:32 +0100

gnome-online-accounts (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Add data/org.gnome.Identity.service.in file which is missing from the dist
    tarball.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 16:11:47 +0100

gnome-online-accounts (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libgoa-backend-1.0-1.symbols with one new addition.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Oct 2015 16:33:51 +0200

gnome-online-accounts (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 03 Oct 2015 18:14:46 +0200

gnome-online-accounts (3.17.92-1) experimental; urgency=medium

  * New upstream release candidate.
  * Update debian/libgoa-1.0-0b.symbols with new additions.
  * Update debian/libgoa-backend-1.0-1.symbols with one new addition.
  * Ship new goa-identity-service files in gnome-online-accounts pkg.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Sep 2015 17:33:06 +0200

gnome-online-accounts (3.16.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Sep 2015 23:21:16 +0200

gnome-online-accounts (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Upstream-Name and Upstream-Contact to debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 20:31:35 +0200

gnome-online-accounts (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends, switch to Webkit2.
  * Enable Foursquare provider.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.
  * Bump debhelper compatibility level to 9.
  * Install new web-extension component.
  * Update symbols files. Due to the removal of the Yahoo provider, the
    goa_yahoo_provider_get_type symbol was dropped from libgoa-backend-1.0-1.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Jun 2015 07:01:35 +0200

gnome-online-accounts (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release
  * debian/rules: Disable yahoo provider, it is experimental, broken and
    nothing is using it anyway (Closes: #764816)
  * debian/control.in: Use the canonical URL for the Vcs-Svn field

 -- Laurent Bigonville <bigon@debian.org>  Thu, 04 Dec 2014 22:51:04 +0100

gnome-online-accounts (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.9.6 (no further changes)
    - Fix the short description to please lintian
    - Update Homepage URL
    - Recommends dleyna-server on linux architectures, it can be used to add
      Media servers and mine their content

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Oct 2014 00:29:37 +0200

gnome-online-accounts (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 18:37:03 +0200

gnome-online-accounts (3.13.92-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Sep 2014 10:31:59 +0200

gnome-online-accounts (3.13.91-1) experimental; urgency=medium

  * New upstream development release.
  * Add missing intltool build-dependency (probably pulled in indirectly)
  * Bump intltool build-dependency to 0.50.1 according to configure.ac
  * Update debian/libgoa-1.0-0b.symbols with many additions.
  * Update debian/libgoa-backend-1.0-1.symbols
    - dleyna backend additions et.al.
    - 5 symbols dropped!
      goa_oauth{,2}_provider_get_use_external_browser
      tpaw_builder_get_{file,resource}
      tpaw_make_color_whiter
   * Install new gschema for whitelisting in -common
   * debian/rules: explicitly enable media-server, yahoo and pocket.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 04:12:57 -0700

gnome-online-accounts (3.12.4-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Jul 2014 20:54:38 +0200

gnome-online-accounts (3.12.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Recommends realmd package (Closes: #725965)

  [ Andreas Henriksson ]
  * New upstream release.
    - Removes chat support from Windows Live provider (XMPP gateway gone).
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 11:42:52 +0200

gnome-online-accounts (3.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 11:30:35 +0200

gnome-online-accounts (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libgoa-backend-1.0-1.symbols for twitter backend removal.
    - twitter backend removed upstream. Symbol was only ever in a
      development release in debian experimental. No known users anywhere.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2014 21:38:44 +0100

gnome-online-accounts (3.11.90-1) experimental; urgency=medium

  * New upstream release.
  * Bump gtk+ build-dependency to 3.11.1 according to configure.ac
  * Update debian/libgoa-backend-1.0-1.symbols:
    - multiple symbols missing, but codesearch.debian.net didn't
      find any users outside of goa so hope we're all ok.
    - a few new symbols added.
  * Update debian/libgoa-1.0-0b.symbols with new symbols.
  * debian/rules: make dh_makeshlibs fail the build when we have
    symbols mismatch (by adding -c4).

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 21:42:07 +0100

gnome-online-accounts (3.10.2-1) experimental; urgency=medium

  * Sync from Ubuntu: Use Conflicts/Replaces for libgoa-1.0-0; we want to make
    sure this package is really gone.
  * New upstream bugfix release:
    - telepathy: Choose better icons
    - Adapt to changes in the redirect URI used by Facebook
    - live: Does not update MailEnabled
    - kerberos: don't crash if keyring credentials disappear
    - kerberos: Leaking timerfds when we fall back to polling the ccache
    - Support kernel keyring based Kerberos accounts
    - Support Windows Live mail
    - Adding Google or Facebook accounts adds a second Jabber account
    - oauth2: Propagate the error if the dialog is dismissed during refresh
    - kerberos: still consuming 100% CPU
    - identity: don't queue two temporary accounts for one identity
    - oauth2: Don't parse the DOM to detect access_denied
    - goaalarm: add locks when setting up timers
    - kerberos: correctly show sign in errors when mistyping password
  * debian/libgoa-backend-1.0-1.symbols:
    - Updated

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2014 11:39:44 +0000

gnome-online-accounts (3.10.0-2) experimental; urgency=low

  * Drop debian version from breaks

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 02 Nov 2013 22:07:53 +0100

gnome-online-accounts (3.10.0-1) experimental; urgency=low

  * Sync changes from Ubuntu Gnome3 Staging PPA (3.10.0-0ubuntu1~saucy1)
    - undocumented change included: fix Vcs-Svn url.

  [ Rico Tzschichholz ]
  * New upstream release

  [ Tim Lunn ]
  * New upstream release
  * debian/control.in: Bump b-d on webkitgtk 2.1.90
  * debian/control.in: Add b-d on libdbus-glib-1-dev and libtelepathy-glib-dev
  * debian/gir1.2-goa-1.0.install: install typelib into correct location.
  * debian/patches: drop

  [ Andreas Henriksson ]
  * Bump glib build-dependency to >= 2.38 (uses G_ADD_PRIVATE)
  * Split goa-backend into separate packages.
  * Make libgoa-1.0-dev depend on libgoa-backend-1.0-dev
    - simply to avoid causing build failures for existing packages
  * Make libgoa-backend-1.0-dev c/replace older versions of libgoa-1.0-dev
  * Rename libgoa-1.0-0 to libgoa-1.0-0b to avoid upgrade issues
    - libgoa-1.0-0b breaks/replaces libgoa-1.0-0
  * Install irc-networks.xml in libgoa-1.0-common

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 23:12:47 +0100

gnome-online-accounts (3.8.3-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/patches/drop-google-password-interface*.patch:
    - Now that Google CalDav supports OAuth v2 for CalDav and
      evolution-data-server has been updated for it, drop the
      password-based UI that didn't work with Google Two-Factor
      Authentication anyway (patches backported from git)
  * debian/patches/revert-deadlock-fix.patch:
    - Backport revert of 3.8.3 commit that could cause 100% cpu use

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Sep 2013 18:58:06 +0200

gnome-online-accounts (3.8.3-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * New upstream release.
  * Move typelib files to /usr/lib/girepository-1.0/. Upstream now uses
    $libdir and g-i isn't multi-arch aware yet.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Sep 2013 19:48:09 +0200

gnome-online-accounts (3.8.2-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.

  [ Tim Lunn ]
  * debian/rules:
    - Explicitly enable owncloud
    - Don't try to enable Twitter or Yahoo support as they are not currently
      included
  * debian/libgoa-1.0-common: install arch-independent css file here rather
    than in libgoa-1.0-0

  [ Jeremy Bicha ]
  * debian/control.in: Add Breaks/Replaces for above change. This is only
    needed for users of experimental though.

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 May 2013 17:59:18 +0200

gnome-online-accounts (3.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 25 Apr 2013 16:58:36 +0200

gnome-online-accounts (3.8.0-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Install goawebview.css in libgoa-1.0-0 since it's used by libgoa-backend

  [ Thomas Bechtold ]
  * New upstream release.
  * Updated symbols file.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 27 Mar 2013 20:42:10 +0100

gnome-online-accounts (3.7.91-1) experimental; urgency=low

  * New upstream release.
  * Added 'goaconfig.h' to -dev package.
  * Updated symbols file.
  * Updated Standard-Version to 3.9.4 (no further changes).

 -- Jean Schurger <jean@schurger.org>  Mon, 11 Mar 2013 15:14:03 -0400

gnome-online-accounts (3.7.90-1) experimental; urgency=low

  * New upstream release
  * Update build dependencies according to configure.ac changes:
    - libglib2.0-dev bumped to (>= 2.35.0)
    - libsoup2.4-dev (>= 2.41) instead of libsoup-gnome2.4-dev (>= 2.26)
  * debian/rules: fix typo --enable-flicker configure flag (flickr)
  * debian/rules: add --enable-imap-smtp configure flag

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 06 Mar 2013 08:01:37 +0100

gnome-online-accounts (3.6.2-1) experimental; urgency=low

  * New upstream release
    - Adjust .symbols file: some symbols have been dropped, but were not part
      of the public API

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Feb 2013 23:23:42 +0100

gnome-online-accounts (3.6.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
    - update symbols file
    - recommend the experimental gnome-control-center: the GOA panel doesn't
      seem to work correctly any more with the one from 3.4

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Oct 2012 21:56:13 +0100

gnome-online-accounts (3.6.0-1) experimental; urgency=low

  * New upstream release
  * Debian/rules: explicitly enable all providers
  * Sync with Ubuntu:
    * debian/control.in: Update depends
  * debian/patches/01_git_fix_build.patch:
    Removed, Fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Oct 2012 09:24:51 +0200

gnome-online-accounts (3.4.2-2) unstable; urgency=medium

  * Team upload.
  * CVE-2013-0240: check TLS certificates for web services (Closes: #699825)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Feb 2013 15:51:24 +0000

gnome-online-accounts (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 16:27:22 +0200

gnome-online-accounts (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright to the final copyright-format 1.0 spec.
  * debian/patches/01_git_fix_build.patch: Refreshed.
  * debian/libgoa-1.0-0.symbols: Add new symbol.
  * debian/rules: Enable Facebook provider.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2012 01:19:31 +0200

gnome-online-accounts (3.3.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/libgoa-1.0-0.symbols: Adjust symbols
    - Drop debian/patches/02_sys_gettid.patch, applied upstream
  * debian/control.in:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Drop duplicate Section to please lintian
  * Convert to multi-arch

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Mar 2012 18:03:24 +0100

gnome-online-accounts (3.2.1-3) unstable; urgency=low

  * Change section of gir1.2-goa-1.0 to introspection.
  * debian/patches/02_sys_gettid.patch:
    - Update goa_log () to only use SYS_gettid on plattforms where it is
      defined. This syscall is Linux specific. Closes: #646886
  * Add Build-Depends on libglib2.0-doc for proper cross-references.
  * Add Recommends on libglib2.0-doc to libgoa-1.0-doc

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Dec 2011 07:09:10 +0100

gnome-online-accounts (3.2.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Nov 2011 18:43:13 +0100

gnome-online-accounts (3.2.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Initial release. Closes: #646255

  [ Michael Biebl ]
  * Suggest devhelp instead of depending on lynx | www-browser.
  * Tigthen the dependency on gir1.2-goa-1.0.
  * Add a libgoa-1.0-common package for the translation files.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Oct 2011 21:50:05 +0200
